The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Cron /scripts/upcp

Discussion in 'General Discussion' started by thobarn, Apr 7, 2009.

  1. thobarn

    thobarn Well-Known Member

    Joined:
    Apr 25, 2008
    Messages:
    153
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    sanctum sanctorum
    Can someone please help.

    cPanel 11.24.4-R35075 - WHM 11.24.2 - X 3.9 CENTOS 5.2 i686

    1) I have cPanel/WHM Updates, cPanel Package Updates, Security Package Updates all set to Manual (because of 2 and 3 below). I am still receiving "Cron <root@vps> /scripts/upcp" email where update is attempted. Why is this happening?

    2) Every time upcp runs my httpd.conf is reset. i.e. customizations distilled successfully previously are removed. Why is this happening?

    3) In each email following is repeated and also Main >> Software >> Update System Software goes as far as last line below and then stops. Why these updates are not installing?
    Code:
    Setting up Update Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package initscripts.i386 0:8.45.25-1.el5.centos set to be updated
    ---> Package centos-release.i386 10:5-3.el5.centos.1 set to be updated
    ---> Package filesystem.i386 0:2.4.0-2.el5.centos set to be updated
    ---> Package iputils.i386 0:20020927-45.el5 set to be updated
    ---> Package traceroute.i386 3:2.0.1-5.el5 set to be updated
    ---> Package dhclient.i386 12:3.0.5-18.el5 set to be updated
    ---> Package device-mapper.i386 0:1.02.28-2.el5 set to be updated
    ---> Package iproute.i386 0:2.6.18-9.el5 set to be updated
    ---> Package findutils.i386 1:4.2.27-5.el5 set to be updated
    ---> Package util-linux.i386 0:2.13-0.50.el5 set to be updated
    ---> Package logrotate.i386 0:3.7.4-9 set to be updated
    ---> Package module-init-tools.i386 0:3.3-0.pre3.1.42.el5 set to be updated
    ---> Package usermode.i386 0:1.88-3.el5.2 set to be updated
    ---> Package file.i386 0:4.17-15 set to be updated
    ---> Package sudo.i386 0:1.6.9p17-3.el5_3.1 set to be updated
    ---> Package policycoreutils.i386 0:1.33.12-14.2.el5 set to be updated
    --> Processing Dependency: libselinux-utils for package: policycoreutils
    ---> Package authconfig.i386 0:5.3.21-5.el5 set to be updated
    ---> Package tmpwatch.i386 0:2.9.7-1.1.el5.2 set to be updated
    ---> Package nscd.i386 0:2.5-34 set to be updated
    ---> Package ethtool.i386 0:6-2.el5 set to be updated
    ---> Package man-pages.noarch 0:2.39-12.el5 set to be updated
    ---> Package libutempter.i386 0:1.1.4-4.el5 set to be updated
    --> Processing Dependency: libdbus-1.so.3 for package: bind
    --> Processing Dependency: libdbus-1.so.3 for package: dbus
    ---> Package samba.i386 0:3.0.33-3.7.el5 set to be updated
    --> Processing Dependency: perl(Convert::ASN1) for package: samba
    ---> Package lm_sensors.i386 0:2.10.7-4.el5 set to be updated
    ---> Package bash.i386 0:3.2-24.el5 set to be updated
    ---> Package mlocate.i386 0:0.15-1.el5.1 set to be updated
    ---> Package tcsh.i386 0:6.14-14.el5 set to be updated
    ---> Package python-urlgrabber.noarch 0:3.1.0-5.el5 set to be updated
    ---> Package samba-client.i386 0:3.0.33-3.7.el5 set to be updated
    ---> Package samba-common.i386 0:3.0.33-3.7.el5 set to be updated
    ---> Package procps.i386 0:3.2.7-11.1.el5 set to be updated
    ---> Package tcpdump.i386 14:3.9.4-14.el5 set to be updated
    ---> Package samba-swat.i386 0:3.0.33-3.7.el5 set to be updated
    ---> Package tcp_wrappers.i386 0:7.6-40.6.el5 set to be updated
    ---> Package udev.i386 0:095-14.19.el5 set to be updated
    ---> Package m2crypto.i386 0:0.16-6.el5.3 set to be updated
    ---> Package centos-release-notes.i386 0:5.3-3 set to be updated
    ---> Package setup.noarch 0:2.5.58-4.el5 set to be updated
    ---> Package SysVinit.i386 0:2.86-15.el5 set to be updated
    ---> Package mcstrans.i386 0:0.2.11-3.el5 set to be updated
    ---> Package dbus.i386 0:1.1.2-12.el5 set to be updated
    --> Running transaction check
    ---> Package libselinux-utils.i386 0:1.33.4-5.1.el5 set to be updated
    ---> Package dbus-libs.i386 0:1.1.2-12.el5 set to be updated
    ---> Package samba.i386 0:3.0.33-3.7.el5 set to be updated
    --> Processing Dependency: perl(Convert::ASN1) for package: samba
    --> Finished Dependency Resolution
    samba-3.0.33-3.7.el5.i386 from base has depsolving problems
      --> Missing Dependency: perl(Convert::ASN1) is needed by package samba-3.0.33-3.7.el5.i386 (base)
    Error: Missing Dependency: perl(Convert::ASN1) is needed by package samba-3.0.33-3.7.el5.i386 (base)
    ...Done
    
    I have an identical setup on another server, except it is running CentOS 5.3 and this does not happen.

    Edit: FWIW I updated to first Current then Edge with no difference despite going thorough whole perl update thing during Edge update.
     
    #1 thobarn, Apr 7, 2009
    Last edited: Apr 7, 2009
  2. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    With regards to the issue with the dependencies, try the following command via SSH:

    /scripts/checkperlmodules

    As for upcp being called, there *may* be a third party script attempting to update cPanel. I recommend setting the update settings to Never rather than Manual if you want to ensure upcp is not run by either cPanel or any external software.

    Pertaining to httpd.conf and upcp, that would be something I recommend letting our technical analysts look at: http://tickets.cpanel.net/submit
     
  3. thobarn

    thobarn Well-Known Member

    Joined:
    Apr 25, 2008
    Messages:
    153
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    sanctum sanctorum
    Thanks for the reply.
    This is the result of running that script
    Code:
    root@cdc [~]# /scripts/checkperlmodules
    Method: Perl Expect
    Testing connection speed...(using fast method)...Done
    Ping:0 (ticks) Testing connection speed to cpan.mirror.anlx.net using pureperl..                                              .Error 404 while fetching url http://cpan.mirror.anlx.net/MIRRORING.FROM
    Warning: removing bad mirror cpan.mirror.anlx.net from url list
    test failed...Done
    Ping:0 (ticks) Testing connection speed to cpan.etla.org using pureperl...Error                                               404 while fetching url http://cpan.etla.org/MIRRORING.FROM
    Warning: removing bad mirror cpan.etla.org from url list
    test failed...Done
    Ping:0 (ticks) Testing connection speed to cpan.osmirror.nl using pureperl...Err                                              or 404 while fetching url http://cpan.osmirror.nl/MIRRORING.FROM
    Warning: removing bad mirror cpan.osmirror.nl from url list
    test failed...Done
    Ping:0 (ticks) Testing connection speed to www.mirrorservice.org using pureperl.                                              ..Error 404 while fetching url http://www.mirrorservice.org/sites/ftp.funet.fi/p                                              ub/languages/perl/CPAN/MIRRORING.FROM
    Warning: removing bad mirror www.mirrorservice.org from url list
    test failed...Done
    Ping:0 (ticks) Testing connection speed to cpan.mirrors.uk2.net using pureperl..                                              .(317400.00 bytes/s)...Done
    Ping:0 (ticks) Testing connection speed to hurricane.hinasu.net using pureperl..                                              .Error 404 while fetching url http://hurricane.hinasu.net/CPAN/MIRRORING.FROM
    Warning: removing bad mirror hurricane.hinasu.net from url list
    test failed...Done
    Ping:0 (ticks) Testing connection speed to ftp.ticklers.org using pureperl...(31                                              4300.00 bytes/s)...Done
    Ping:1 (ticks) Testing connection speed to cpan.wanadoo.nl using pureperl...(782                                              50.00 bytes/s)...Done
    Three usable mirrors located
    Mirror Check passed for cpan.mirrors.uk2.net (/index.html)
    Unknown config variable 'less'
    commit: wrote '/usr/lib/perl5/5.8.8/CPAN/Config.pm'
    CPAN: CPAN::SQLite loaded ok (v0.197)
    Database was generated on Wed, 08 Apr 2009 00:07:36 GMT
    Devel::PPPort is up to date (3.17).
    HTTP::Date is up to date (5.810).
    Scalar::Util is up to date (1.19).
    cPCPAN: Module (Digest::MD5) holdback (2.38 held back to 2.36)
    cPCPAN: Module (LWP) holdback (5.825 held back to 5.810)
    MIME::Base64 is up to date (3.07).
    Digest::MD5 is up to date (2.36).
    URI is up to date (1.37).
    Net::FTP is up to date (2.77).
    HTML::Tagset is up to date (3.20).
    HTML::Parser is up to date (3.60).
    HTML::HeadParser is up to date (3.60).
    LWP is up to date (5.810).
    DBI is up to date (1.607).
    DBI is up to date (1.607).
    DBD::mysql is up to date (4.010).
    Crypt::SSLeay is up to date (0.57).
    CPAN::SQLite is up to date (0.197).
    Data::Dumper is up to date (2.121_08).
    Digest::MD5 is up to date (2.36).
    Digest::SHA1 is up to date (2.11).
    Encode is up to date (2.33).
    ExtUtils::Constant is up to date (0.17).
    ExtUtils::ParseXS is up to date (2.19).
    cPCPAN: Module (File::Touch) holdback (0.06 held back to 0.02)
    File::Touch is up to date (0.02).
    Filesys::Df is up to date (0.92).
    Filesys::Virtual is up to date (0.06).
    Filter::Util::Call is up to date (1.08).
    Getopt::Long is up to date (2.38).
    Getopt::Param::Tiny is up to date (0.5).
    Compress::Raw::Zlib is up to date (2.017).
    Authen::Libwrap is up to date (0.21).
    Net::FTPSSL is up to date (0.08).
    Net::SSL is up to date (2.84).
    cPCPAN: Module (Net::SSLeay) holdback (1.35 held back to 1.30)
    Net::SSLeay is up to date (1.30).
    IO::Compress::Gzip is up to date (2.017).
    IO::Scalar is up to date (2.110).
    IO::Socket::SSL is up to date (1.24).
    IO::Stty is up to date (.02).
    IO::Uncompress::Gunzip is up to date (2.017).
    Lchown is up to date (1.00).
    List::Util is up to date (1.19).
    MD5 is up to date (2.03).
    Net::AIM is up to date (1.22).
    Net::DNS is up to date (0.65).
    Net::OSCAR is up to date (1.925).
    Pod::Perldoc is up to date (3.15).
    Storable is up to date (2.18).
    Sys::Syslog is up to date (0.27).
    Term::ReadKey is up to date (2.30).
    Term::ReadLine::Perl is up to date (1.0302).
    Time::HiRes is up to date (1.9719).
    Tree::MultiNode is up to date (1.0.10).
    Unix::PID is up to date (0.0.15).
    Unix::PID::Tiny is up to date (0.5).
    cPCPAN: Module (XML::Parser) holdback (2.36 held back to 2.34)
    XML::Parser is up to date (2.34).
    XML::SAX is up to date (0.96).
    XML::Simple is up to date (2.18).
    lib::restrict is up to date (0.0.5).
    Filesys::Statvfs is up to date (0.82).
    Crypt::GPG is up to date (1.63).
    Class::Accessor is up to date (0.31).
    Class::Accessor::Fast is up to date (0.31).
    File::MMagic::XS is up to date (0.09003).
    Email::Valid is up to date (0.181).
    File::ReadBackwards is up to date (1.04).
    ExtUtils::MakeMaker is up to date (6.50).
    Mail::SRS is up to date (0.31).
    Acme::Spork is up to date (0.0.8).
    Archive::Tar is up to date (1.46).
    Archive::Tar::Streamed is up to date (0.03).
    Archive::Zip is up to date (1.26).
    Encode::Guess is up to date (2.03).
    Digest::MD5 is up to date (2.36).
    Digest::SHA1 is up to date (2.11).
    MIME::Base64 is up to date (3.07).
    MIME::Lite is up to date (3.024).
    URI::URL is up to date (5.03).
    HTML::Tagset is up to date (3.20).
    HTML::Entities is up to date (3.60).
    MIME::Base64 is up to date (3.07).
    Digest::MD5 is up to date (2.36).
    URI is up to date (1.37).
    Net::FTP is up to date (2.77).
    HTML::Tagset is up to date (3.20).
    HTML::Parser is up to date (3.60).
    HTML::HeadParser is up to date (3.60).
    LWP is up to date (5.810).
    Parse::RecDescent is up to date (1.94).
    OLE::Storage_Lite is up to date (0.18).
    MIME::Base64 is up to date (3.07).
    Digest::MD5 is up to date (2.36).
    URI is up to date (1.37).
    Net::FTP is up to date (2.77).
    HTML::Tagset is up to date (3.20).
    HTML::Parser is up to date (3.60).
    HTML::HeadParser is up to date (3.60).
    LWP is up to date (5.810).
    Term::ReadKey is up to date (2.30).
    Term::ReadLine::Perl is up to date (1.0302).
    Text::Query is up to date (0.07).
    Image::Size is up to date (3.2).
    DBI is up to date (1.607).
    Safe::Hole is up to date (0.10).
    Tie::ShadowHash is up to date (0.07).
    Set::Crontab is up to date (1.02).
    IO::Scalar is up to date (2.110).
    Storable is up to date (2.18).
    Spreadsheet::ParseExcel is up to date (0.49).
    Spreadsheet::WriteExcel is up to date (2.25).
    Business::OnlinePayment::AuthorizeNet is up to date (3.20).
    Business::UPS is up to date (1.13).
    CGI is up to date (3.43).
    Class::Std::Utils is up to date (0.0.3).
    Compress::Bzip2 is up to date (2.09).
    Compress::Zlib is up to date (2.017).
    DBIx::MyParsePP is up to date (0.50).
    DBD::SQLite2 is up to date (0.33).
    Date::Parse is up to date (2.27).
    File::Tail is up to date (0.99.3).
    GD::Graph is up to date (1.44).
    GD::Text::Align is up to date (1.18).
    Memoize is up to date (1.01).
    Geo::IPfree is up to date (0.5).
    HTML::Parser is up to date (3.60).
    HTTP::Daemon::App is up to date (0.0.9).
    IO::Socket::ByteCounter is up to date (0.0.2).
    Image::Size is up to date (3.2).
    MIME::Base64 is up to date (3.07).
    Mail::DomainKeys is up to date (1.0).
    Mail::SPF is up to date (v2.006).
    Mail::SPF::Query is up to date (1.999.1).
    Mail::DKIM is up to date (0.33).
    IP::Country is up to date (2.26).
    Graph::Easy is up to date (0.64).
    Graph::Flowchart is up to date (0.11).
    cPCPAN: Module (Mail::SpamAssassin) holdback (3.002005 held back to 3.2.4)
    Mail::SpamAssassin is up to date (3.002004).
    XML::LibXML::Common is up to date (0.13).
    URI::Escape is up to date (3.29).
    XML::LibXML is up to date (1.69).
    Net::DAV::Server is up to date (1.29).
    Net::Daemon::SSL is up to date (1.0).
    Net::LDAP is up to date (0.39).
    Net::LDAP::Schema is up to date (0.9905).
    Net::LDAP::Server is up to date (0.4).
    GD::Graph is up to date (1.44).
    Parse::RecDescent is up to date (1.94).
    Quota is up to date (1.6.3).
    SVG::TT::Graph is up to date (0.12).
    Safe::Hole is up to date (0.10).
    Text::CSV is up to date (1.11).
    Spreadsheet::ParseExcel is up to date (0.49).
    Spreadsheet::WriteExcel is up to date (2.25).
    String::CRC32 is up to date (1.4).
    SQL::Statement is up to date (1.20).
    Tie::IxHash is up to date (1.21).
    Tie::ShadowHash is up to date (0.07).
    Tie::Watch is up to date (1.2).
    Tie::DBI is up to date (1.02).
    URI::URL is up to date (5.03).
    perlmod--Install done
    Using fast module check.....checked 113 modules in 4 second(s)
    Tested 114, 114 ok, 0 failed.
    Cpanel::FastMath: [INSTALLED=1] [VERSION=0.2]
    Crypt::PasswdMD5::XS: [INSTALLED=1] [VERSION=0.3]
    Cpanel::POSIX::Tiny: [INSTALLED=1] [VERSION=0.8]
    Cpanel::Cleanup: [INSTALLED=1] [VERSION=0.4]
    Cpanel::Class: [INSTALLED=1] [VERSION=1.0.5]
    Cpanel::TaskQueue: [INSTALLED=1] [VERSION=0.2.0]
    root@cdc [~]#
    However it does not make a difference in that when I run Main >> Software >> Update System Software I still get exact output as in my previous message.
    Thanks again.I will try this now.
    Thanks. I will do this now.
     
  4. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Okay, since /scripts/checkperlmodules didn't help you with those Perl module issues, you may want to discuss that with our technical analysts as well. They're much more knowledgeable about the Perl side of things than I am.
     
  5. adam.mosaic

    adam.mosaic Registered

    Joined:
    Apr 9, 2009
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    getting similar error:

    Error: Missing Dependency: perl(Convert::ASN1) is needed by package samba


    CentOS release 5.2 (Final)
    11.24.4-CURRENT_33868


    Going to hunt around for solution, watch this thread in case someone comes up with a solution.
     
  6. servertechs

    servertechs Active Member

    Joined:
    Aug 24, 2008
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    India
  7. thobarn

    thobarn Well-Known Member

    Joined:
    Apr 25, 2008
    Messages:
    153
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    sanctum sanctorum
    The only 3rd party software is csf. Updates have been set to Never but upcp continues to run daily :confused:
    I was told by CPanel support that it was due to having CentOS 5.3 and it was not yet supported but seeing that you have CentOS 5.2 that cannot be the reason. Gratefully, they sorted it for me. I think they just added those packages that were causing the problem to the exclude list; I am not sure. You might want to give them a call.
    This was one of the first things I tried, Convert::ASN1 installed successfully but the error message during upcp runs did not go away.
     
  8. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,461
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    The system updates are blocked by an unresolvable dependency:

    Code:
    Processing Dependency: perl(Convert::ASN1) for package: samba
    
    You have Samba installed, which depends upon the Perl package. We exclude Perl from updates in yum.conf. If you don't need samba, we recommend you remove it. That will remove the blocking condition and allow the system update to succeed.
     
  9. Nick57

    Nick57 Well-Known Member

    Joined:
    Jul 19, 2005
    Messages:
    100
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    Root Administrator
    I do need samba, how to solve this?
     
  10. bwheatley

    bwheatley Registered

    Joined:
    Aug 1, 2007
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    i'm going to remove perl* from yum.conf exclusions and try to update and then i will reapply the exclusion and rerun the fix perl script script.
     
  11. bwheatley

    bwheatley Registered

    Joined:
    Aug 1, 2007
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    that worked for me.
     
Loading...

Share This Page